<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_22ac6aae" . "2762e0f31" . "0c495384c" . "477dc8" => base64_decode("LmdpdGtlZX" . "A="), "_edd716f0baedc2427c121be529b" . "f222d" => base64_decode("Q2xlYXJpbmcgYWxsIGxvY2FsIGNhY2h" . "lcw=="), "_282505db60b6a60f1a0c54a0f8c270" . "92" => base64_decode("VEVNUExBVEVSX0NBQ0hFX0R" . "JUg=="), "_3d13c2fddaab71a09eeaf22607f1db" . "0f" => base64_decode("Q2xlYXJpbmcgYWxsIHNoYXJlZCBjYWNo" . "ZXM="), "_2ac6cb432a5df959e" . "fdffbcd288d0745" => base64_decode("Q2xlYXJpbmcgdGVtcGxhdG" . "VyIGNhY2hl"), "_db7b295629" . "faa16027a2c" . "263095eba70" => base64_decode("cGhwX3NhcGlfbmFt" . "ZQ=="), "_d9040256bf" . "f96ad2c221f" . "79439e0560c" => base64_decode("Q2xlYXJpbmcgZGlyZ" . "WN0b3J5IA=="), "_8fd6da143a742433037" . "d3741c26c9f14" => base64_decode("Q2xlYXJpbmcgbG9" . "jYWwgYXNzZXRzIG" . "NhY2hl"), "_db98357e662ee4057f89ee50fd63a2" . "c5" => base64_decode("Q2xlYXJpbmcgc2hhc" . "mVkIGFzc2V0cyBjYW" . "NoZQ=="), "_8368ecd0faa75c04b4e54eac3bd45d6" . "3" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF0aW9uIGNhY" . "2hl"), "_8fec21706bd243b37" . "ecf62b1caf8fb8a" => base64_decode("Y2" . "xp"), "_4d707fab93bebb00b" . "be69e8159697c90" => base64_decode(""), "_f02edf67305f5d984784e5" . "a63acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlcyAocnVubmluZyBmcm9tIHRoZSBjb21" . "tYW5kIGxpbmUp"), "_2935eb81473a" . "5cdf164ba52dc" . "31d305c" => base64_decode("Q2xlYXJpbmcgbWVtb3J5IGN" . "hY2hlcw=="));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_282505db60b6a60f1a0" . "c54a0f8c27092"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_edd716f0baedc24" . "27c121be529bf222" . "d"]);
        if ($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_db7b295629faa16027a2c263" . "095eba70"]() !== $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_8fec21706bd243b37ecf6" . "2b1caf8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f02edf67305f5d984784e" . "5a63acb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_3d13c2fddaab71a09eeaf22607f" . "1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_8368ecd0faa75c0" . "4b4e54eac3bd45d6" . "3"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_8fd6da14" . "3a7424330" . "37d3741c2" . "6c9f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_db98357e662ee4057f89ee50" . "fd63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2935eb81473a5cdf1" . "64ba52dc31d305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe69e8" . "159697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93bebb0" . "0bbe69e8159697c9" . "0"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2ac6cb432a5df95" . "9efdffbcd288d074" . "5"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d9040256bff96ad2c221f79439" . "e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_22ac6aae2762e0f310c" . "495384c477dc8"]);
    }
}